| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::Landau Class Reference

Parameters for the Landau distributed random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Landau:
[legend]
Collaboration diagram for Rndm::Landau:
[legend]

## Public Member Functions
| Landau (double m, double s)
| Standard Constructor. More...
| ~Landau () override=default
| Standard Destructor. More...
double | mean () const
| Access mean value of the distribution. More...
double | sigma () const
| Access width of the distribution. More...
Landau * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_mean
| Mean and Gamma parameter of the Breit-Wigner distribution. More...
double | m_sigma
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< Landau >

## Detailed Description

Parameters for the Landau distributed random number generation.

Definition at line 110 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Landau::Landau | ( | double | m,
|  | double | s
| ) |  |
| inline

Standard Constructor.

Definition at line 117 of file RndmGenerators.h.

118 : IRndmGen::Param(IID_IRndmLandau), m_mean(m), m_sigma(s) { }
Rndm::Landau::m_sigma
double m_sigma
Definition: RndmGenerators.h:114
IRndmGen::Param
Definition: IRndmGen.h:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
Rndm::Landau::m_mean
double m_mean
Mean and Gamma parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:114
gaudirun.s
string s
Definition: gaudirun.py:245

Rndm::Landau::~Landau | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Landau* Rndm::Landau::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 128 of file RndmGenerators.h.

128 { return new Landau(m_mean, m_sigma); }
Rndm::Landau::Landau
Landau(double m, double s)
Standard Constructor.
Definition: RndmGenerators.h:117
Rndm::Landau::m_sigma
double m_sigma
Definition: RndmGenerators.h:114
Rndm::Landau::m_mean
double m_mean
Mean and Gamma parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:114

double Rndm::Landau::mean | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 122 of file RndmGenerators.h.

122 { return m_mean; }
Rndm::Landau::m_mean
double m_mean
Mean and Gamma parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:114

double Rndm::Landau::sigma | ( |  | ) | const
| inline

Access width of the distribution.

Definition at line 124 of file RndmGenerators.h.

124 { return m_sigma; }
Rndm::Landau::m_sigma
double m_sigma
Definition: RndmGenerators.h:114

static const InterfaceID& Rndm::Landau::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 126 of file RndmGenerators.h.

126 { return IID_IRndmLandau; }

## Friends And Related Function Documentation

friend class Generator< Landau >
| friend

Definition at line 111 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Landau::m_mean
| protected

Mean and Gamma parameter of the Breit-Wigner distribution.

Definition at line 114 of file RndmGenerators.h.

double Rndm::Landau::m_sigma
| protected

Definition at line 114 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h